Bug 219428 - error message in dmesg using motorola a1200 in storage mode.
error message in dmesg using motorola a1200 in storage mode.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 19:41 EST by ritz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 05:42:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2006-12-12 19:41:26 EST
Description of problem:
When i plug my motorola phone in storage mode to my laptop, it is detected
correctly.

I can write, and recently read from device. Earlier, if i tried to read the
device could reset.


Version-Release number of selected component (if applicable):
Linux rkhadgar.pnq.redhat.com 2.6.18-1.2849.fc6PAE #1 SMP Fri Nov 10 13:27:10
EST 2006 i686 i686 i386 GNU/Linux

How reproducible:
alwasy

Steps to Reproduce:
1. Plug the phone to laptop using a mini-usb cable.
2.
3.
  
Actual results:
Error message in log. Information pasted below.

Expected results:
No error message in log.

Additional info:

usb 2-2: new full speed USB device using uhci_hcd and address 2
usb 2-2: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi2 : SCSI emulation for USB Mass Storage devices
usbcore: registered new driver usb-storage
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
USB Mass Storage support registered.
  Vendor: Motorola  Model: Phone             Rev:     
  Type:   Direct-Access                      ANSI SCSI revision: 04
SCSI device sdb: 990976 512-byte hdwr sectors (507 MB)
sdb: Write Protect is off
sdb: Mode Sense: 10 00 00 00
sdb: assuming drive cache: write through
SCSI device sdb: 990976 512-byte hdwr sectors (507 MB)
sdb: Write Protect is off
sdb: Mode Sense: 10 00 00 00
sdb: assuming drive cache: write through
 sdb: sdb1
sd 2:0:0:0: Attached scsi disk sdb
sd 2:0:0:0: Attached scsi generic sg2 type 0
usb-storage: device scan complete
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
sd 2:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Medium Error
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 990968
Buffer I/O error on device sdb, logical block 123871
SELinux: initialized (dev sdb1, type vfat), uses genfs_contexts
Comment 1 Pete Zaitcev 2006-12-12 19:47:43 EST
Device reports a Medium Error. I see no reason to think it's anything but.
Probably the SD card inside the phone has given up the ghost.
Comment 2 ritz 2006-12-13 10:08:40 EST
i dont see this message on my desktop which only has _only_ a usb 1.1, and is
running FC5. Will check this up with FC6 on my desktop also by today night.
Comment 3 ritz 2007-01-26 05:09:58 EST
yup, issue is specific to FC6 kernel.
Comment 4 ritz 2007-01-26 05:12:17 EST
closing this ticket, as this does not have any negative repression.

ps : with FC6 GA, i was only able to write to device.
Read would fail when tranfering data.
Comment 5 ritz 2007-11-01 17:45:57 EDT
This works on F8.

Note You need to log in before you can comment on or make changes to this bug.